/******************************************************************************
 * $Id: tp3.h,v 1.1 2003/05/01 17:42:15 soldani Exp $
 *
 * BURNOTTE Christophe (2ELIN), SOLDANI Cyril (2ELIN), XHROUET Christophe (2EN)
 *
 * Structure des ordinateurs : Travail pratique 3
 *****************************************************************************/

#ifndef _tp3_h_
#define _tp3_h_ "@(#)tp3.h $Revision: 1.1 $"

#include <time.h>

/* Constantes pour identifier les files de messages */
#define MSG_NOISE	0
#define RECEIVER	1
#define ACK_NOISE	2
#define EMITTER		3
#define MSG_TIMER	4
#define	ACK_TIMER	5

/* Types de message */
#define	MESSAGE		1
#define ACK		2
#define TIME_OUT	3
#define END		4
#define START		1
#define STOP		2

/* Structure de message */
typedef struct Message_t {
  long mtype;	/* Type de message */
  int number;	/* Numro du message */
  int content;	/* Contenu du message */
} Message;

#endif	/* tp3.h */
